﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using CalculatorLib;

namespace UnitTest
{
    [TestClass]
    public class CalculationTests
    {
        [TestMethod]
        public void CalculateAnswer_1_1_1_5Returned()
        {
            // Входные параметры
            double x = 1;
            double y = 1;
            double z = 1;

            // Ожидаемый результат
            bool success = true;
            double expected = 5;

            // Вычисление
            double actual = Calculator.CalculateAnswer(x, y, z, ref success);
            Assert.AreEqual(expected, actual);
        }

        [TestMethod]
        public void CalculateAnswer_0_0_0_3Returned()
        {
            // Входные параметры
            double x = 0;
            double y = 0;
            double z = 0;

            // Ожидаемый результат
            bool success = true;
            double expected = 3;

            // Вычисление
            double actual = Calculator.CalculateAnswer(x, y, z, ref success);
            Assert.AreEqual(expected, actual);
        }
    }
}
